qjackctl(1)

NAME
qjackctl - User interface for controlling JACK (Jack Audio Connection Kit)

SYNOPSIS
qjackctl [options]

DESCRIPTION
This manual page documents briefly the qjackctl command-line options.

QjackCtl is used for controlling the Jack Audio Connection Kit (JACK) and as a patchbay for ALSA MIDI and JACK MIDI devices. QjackCtl also has support for the JACK transport control protocol, so you can use it to start and stop the JACK transport. Once you start qjackctl, you get presented with a single GUI window, the buttons are self-explanatory and have tooltips.

OPTIONS

-s, --start

    Start JACK audio server immediately

-p, --preset=[label]

    Set default settings preset name

-a, --active-patchbay=[path]

    Set active patchbay definition file

-n, --server-name=[label]

    Set default JACK audio server name

-?, --help

    Displays help on command-line options.

-v, --version

    Show version information.

D-BUS INTERFACE
Enable 'Setup > Misc > Other > Enable D-Bus interface' to use the D-Bus interface commands as shown below.

    dbus-send --system / org.rncbc.qjackctl.start
    dbus-send --system / org.rncbc.qjackctl.stop
    dbus-send --system / org.rncbc.qjackctl.reset
    dbus-send --system / org.rncbc.qjackctl.main
    dbus-send --system / org.rncbc.qjackctl.messages
    dbus-send --system / org.rncbc.qjackctl.status
    dbus-send --system / org.rncbc.qjackctl.session
    dbus-send --system / org.rncbc.qjackctl.connections
    dbus-send --system / org.rncbc.qjackctl.patchbay
    dbus-send --system / org.rncbc.qjackctl.graph
    dbus-send --system / org.rncbc.qjackctl.rewind
    dbus-send --system / org.rncbc.qjackctl.backward
    dbus-send --system / org.rncbc.qjackctl.play
    dbus-send --system / org.rncbc.qjackctl.pause
    dbus-send --system / org.rncbc.qjackctl.forward
    dbus-send --system / org.rncbc.qjackctl.setup
    dbus-send --system / org.rncbc.qjackctl.about
    dbus-send --system / org.rncbc.qjackctl.quit
    dbus-send --system / org.rncbc.qjackctl.preset string:[label]
    dbus-send --system / org.rncbc.qjackctl.active-patchbay string:[path]
    dbus-send --system / org.rncbc.qjackctl.load
    dbus-send --system / org.rncbc.qjackctl.save
    dbus-send --system / org.rncbc.qjackctl.savequit
    dbus-send --system / org.rncbc.qjackctl.savetemplate

SEE ALSO
jackd(1)

FILES
Configuration settings are stored in ~/.config/rncbc.org/QjackCtl.conf

AUTHOR
QjackCtl was written by Rui Nuno Capela.

This manual page was written by Guenter Geiger <geiger@debian.org>, for the Debian project (but may be used by others).